package com.lightinit.hsdatashow.dictionary;

import java.util.LinkedHashMap;

/**
 * @Author: sunxiang
 * @Date: 2018/8/6 17:03
 * @Description:
 **/
public class DicNewEnergyCategory {

    public  static final String SUNLAMP="太阳能路灯";
    public  static final String PHOTOVOLTAICELECTRIC="光伏发电";
    public  static final String ELECTRICCAR="电动汽车";
    private static DicNewEnergyCategory instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicNewEnergyCategory(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(SUNLAMP, SUNLAMP);
        dicMap.put(PHOTOVOLTAICELECTRIC, PHOTOVOLTAICELECTRIC);
        dicMap.put(ELECTRICCAR, ELECTRICCAR);
    }

    public static DicNewEnergyCategory getInstacne(){
        if (instance == null)
        {
            instance = new DicNewEnergyCategory();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
